AO-LOAD(1)

NAME
ao-test-baro - test AltOS flight computer barometric sensor

SYNOPSIS
ao-test-baro [-T tty-device] [--tty tty-device] [-D altos-device] [--device altos-device] baro-name...

DESCRIPTION
ao-test-baro makes sure the altitude is between -50m and 3000m and temperature is between 20°C and 30°C.

OPTIONS

-T tty-device | --tty tty-device
    This selects which tty device the debugger uses to communicate with the target device.

-D AltOS-device | --device AltOS-device
    Search for a connected device. This requires an argument of one of the following forms:

    TeleMega:2
    TeleMega
    2

    Leaving out the product name will cause the tool to select a suitable product, leaving out the serial number will cause the tool to match one of the available devices.

USAGE
ao-test-baro opens the target device and queries the current barometric data.

AUTHOR
Keith Packard